<?php
/**
 * Special Content
 */
$labels = array(
    'name'               => esc_html__( 'Special Content', 'blogit-addons' ),
    'singular_name'      => esc_html__( 'Special Content', 'blogit-addons' ),
    'add_new'            => esc_html__( 'Add New','blogit-addons' ),
    'add_new_item'       => esc_html__( 'Add New Item','blogit-addons' ),
    'edit_item'          => esc_html__( 'Edit Item','blogit-addons' ),
    'new_item'           => esc_html__( 'New Item','blogit-addons' ),
    'all_items'          => esc_html__( 'All Items','blogit-addons' ),
    'view_item'          => esc_html__( 'View Item','blogit-addons' ),
    'search_items'       => esc_html__( 'Search Special Content Items','blogit-addons' ),
    'not_found'          => esc_html__( 'No Special Content items found','blogit-addons' ),
    'not_found_in_trash' => esc_html__( 'No Special Content items found in the Trash','blogit-addons' ),
    'parent_item_colon'  => '',
    'menu_name'          => esc_html__( 'Special Content', 'blogit-addons' ),
);

$args = array(
  'labels'        => $labels,
  'public'        => true,
  'show_ui'       => true,
  'menu_position' => 21,
  'supports'      => array( 'title', 'editor' ),
  'has_archive'   => false,
  'rewrite' => array(
    'slug' => 'cpt-special-content'
  )
);
register_post_type( 'special-content', $args );