<?php
/**
 * 404
 *
 * @package blogit
 * @since 1.0
 */

get_header(); 

$heading = blogit_get_opt('page404-heading');
$content = blogit_get_opt('page404-content');

?>

<div class="tt-error-page">
  <div class="tt-error-section">
    <h2 class="c-h2"><?php echo blogit_get_default_value('page404-heading', 'Ooops... Page not found!'); ?></h2>
    <p><?php echo blogit_get_default_value('page404-content', 'We are sorry, but the page you are looking for does not exist.'); ?></p>
    <div class="empty-space  marg-lg-b20"></div>
    <a class="c-btn type-1 style-2 color-2 size-2" target="_self" title="button" href="<?php echo esc_url(home_url('/')); ?>"><span><?php echo blogit_translate('back-to-home', 'Back to Home'); ?></span></a>
  </div>
</div>

<?php
get_footer();
