<?php
/*
 * White Label
*/
$this->sections[] = array(
  'title' => esc_html__('White Label', 'blogit'),
  'desc' => esc_html__('Configure white label styles.', 'blogit'),
  'icon'  => 'fa fa-toggle-on',
  'fields'  => array(
    array(
      'id'       =>'admin-login-logo',
      'type'     => 'media',
      'url'      => true,
      'title'    => esc_html__('Logo for Login Page', 'blogit'),
    ),
    
    array(
      'id'      =>'admin-login-logo-width',
      'type'    => 'text',
      'title'   => esc_html__('Logo Width', 'blogit'),
      'default' => '',
      'desc'    => esc_html__('Numeric value only, unit is pixel', 'blogit')
    ),
    array(
      'id'      =>'admin-login-logo-height',
      'type'    => 'text',
      'title'   => esc_html__('Logo Height', 'blogit'),
      'default' => '',
      'desc'    => esc_html__('Numeric value only, unit is pixel', 'blogit')
    ),

    array(
      'id'       =>'admin-login-bg-image',
      'type'     => 'media',
      'url'      => true,
      'title'    => esc_html__('Background Image for Login Page', 'blogit'),
    ),

    array(
      'id'    =>'admin-theme-icon-image',
      'type'  => 'media',
      'url'   => true,
      'title' => esc_html__('Theme Icon Image', 'blogit'),
      'desc'  => esc_html__('Icon size of 20x34', 'blogit')
    ),

    array(
      'id'    =>'admin-theme-icon-image-active',
      'type'  => 'media',
      'url'   => true,
      'title' => esc_html__('Theme Icon Image on Active', 'blogit'),
      'desc'  => esc_html__('Icon size of 20x34', 'blogit')
    ),

    array(
      'id'    =>'admin-theme-name',
      'type'  => 'text',
      'title' => esc_html__('Theme Name', 'blogit'),
    ),

    array(
      'id'    =>'admin-text-welcome-page',
      'type'  => 'editor',
      'title' => esc_html__('Custom Text for Welcome Pgae', 'blogit'),
    ),

  ),
);



