<?php
/**
 *
 * RS Google Map
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function rs_google_map( $atts, $content = '', $id = '' ) {

  wp_enqueue_script('gmapsensor');
  wp_enqueue_script('map');

  extract( shortcode_atts( array(
    'id'        => '',
    'class'     => '',
    'latitude'  => '38.934274',
    'longitude' => '-78.198075',
    'string'    => '',
    'zoom_size' => '10',
  ), $atts ) );

  $id    = ( $id ) ? ' id="'. esc_attr($id) .'"' : '';
  $class = ( $class ) ? ' '. blogit_sanitize_html_classes($class) : '';

  $output  =  '<div '.$id.' class="tt-map-wrap'.$class.'" data-lat="'.$latitude.'" data-long="'.$longitude.'" data-zoom="'.$zoom_size.'">';
  $output .=  '<div id="tt-map"></div>';
  $output .=  '<div id="tt-map-marker">';
  $output .=  '<div class="tt-map-marker-wave"></div>';
  $output .=  '<div class="tt-map-marker-wave"></div>';
  $output .=  '</div>';
  $output .=  '</div>';

  return $output;
}
add_shortcode('rs_google_map', 'rs_google_map');
