<?php
/**
 *
 * VC COLUMN and VC COLUMN INNER
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function rs_column( $atts, $content = '', $id = '' ) {
  extract( shortcode_atts( array(
    'id'     => '',
    'class'  => '',
    'width'  => '1/1',
    'offset' => '',

  ), $atts ) );

  $id     = ( $id ) ? ' id="'. esc_attr($id) .'"' : '';
  $class  = ( $class ) ? ' '. sanitize_html_classes($class) : '';
  $offset = ( $offset ) ? ' '. str_replace( 'vc_', '', $offset ) : '';

  return '<div'. $id .' class="wpb_column col-md-'. rs_get_bootstrap_col( $width ).'">'.do_shortcode(wp_kses_post($content)).'</div>';
}
add_shortcode( 'vc_column', 'rs_column' );
add_shortcode( 'vc_column_inner', 'rs_column' );
