<?php
/*
 * Title Wrapper Section
*/

$this->sections[] = array(
  'title' => esc_html__('404 Page', 'blogit'),
  'desc' => esc_html__('Change the title wrapper section configuration.', 'blogit'),
  'icon' => 'far fa-window-close',
  'fields' => array(
    array(
      'id'       =>'404-bg',
      'type'     => 'media',
      'url'      => true,
      'title'    => esc_html__('Background', 'blogit'),
    ),
    array(
      'id'=>'page404-heading',
      'type' => 'text',
      'title' => esc_html__('Heading', 'blogit'),
      'subtitle' => esc_html__('Heading for 404 page.', 'blogit'),
    ),
    array(
      'id'=>'page404-content',
      'type' => 'textarea',
      'title' => esc_html__('Content', 'blogit'),
      'subtitle' => esc_html__('Content for 404 page.', 'blogit'),
    ),
  ), // #fields
);
