<?php
/**
 * Page ( part of layout )
 *
 * @package blogit
 * @since 1.0
 */

get_header();
blogit_breaking_news_weather();
blogit_slider_template(blogit_get_opt('slider-template')); 
$page_margin_top    = blogit_get_opt('page-top-margin');
$page_margin_bottom = blogit_get_opt('page-bottom-margin'); ?>
<div id="page-wrapper" class="content <?php echo blogit_get_post_opt('page-margin'); ?>">
  <div class="empty-space tt-page-margin-top marg-lg-b55 marg-sm-b30"></div>
  <div class="container">
    <?php blogit_before_content_special_content(); ?>
    <?php get_template_part('templates/content/content-page'); ?>
    <?php blogit_after_content_special_content(); ?>
  </div>
  <div class="empty-space tt-page-margin-bottom marg-lg-b60 marg-sm-b50 marg-xs-b30"></div>
</div>

<?php
get_footer();
